#!/bin/sh
# A-Click Backup 5.5.5.0

# -------------------------- Set the Build Filename ----------------------------
AUA_BUILD_FILENAME=exec-mac-product.xml

# --------------------------- Change to AUA_HOME -------------------------------
AUA_BIN=`dirname "$0"`
cd "${AUA_BIN}"
cd ..
AUA_HOME=`pwd`

# ------------------- ApacheANT Execution via Java -----------------------------
# The following properties are referenced from path "/Applications/A-Click Backup/aua"
AUA_ANT_CLASSPATH=./ant/lib/ant.jar:./ant/lib/ant-launcher.jar:./ant/lib/xercesImpl.jar:./ant/lib/xml-apis.jar

# Run ApacheANT with AutoUpdateAgent JVM
"${AUA_HOME}/jvm/bin/java" -Xrs -Dant.home=./ant -cp ${AUA_ANT_CLASSPATH} org.apache.tools.ant.launch.Launcher -f ./builds/${AUA_BUILD_FILENAME}
